## fwupd-1.7.1.tar.xz.d929c69b66e587c9af306c1d6a831618

=== meson_options.txt ===
option('build', type : 'combo', choices : ['all', 'standalone', 'library'], value : 'all', description : 'build type')
option('consolekit', type : 'boolean', value : true, description : 'enable ConsoleKit support')
option('firmware-packager', type : 'boolean', value : true, description : 'enable firmware-packager installation')
option('docs', type : 'combo', choices : ['none', 'gtkdoc', 'docgen'], value : 'docgen', description : 'developer documentation type')
option('introspection', type : 'boolean', value : true, description : 'generate GObject Introspection data')
option('lvfs', type : 'combo', choices : ['true', 'false', 'disabled'], value : 'true', description : 'install LVFS remotes')
option('man', type : 'boolean', value : true, description : 'enable man pages')
option('libarchive', type : 'boolean', value : true, description : 'enable libarchive support')
option('gudev', type : 'boolean', value : true, description : 'enable GUdev support')
option('gusb', type : 'boolean', value : true, description : 'enable GUsb support')
option('bluez', type : 'boolean', value : false, description : 'enable BlueZ support')
option('polkit', type: 'boolean', value : true, description : 'enable PolKit support in daemon')
option('gnutls', type: 'boolean', value : true, description : 'enable GnuTLS support')
option('lzma', type: 'boolean', value : false, description : 'enable LZMA support')
option('plugin_altos', type : 'boolean', value : true, description : 'enable altos support')
option('plugin_amt', type : 'boolean', value : true, description : 'enable Intel AMT support')
option('plugin_dell', type : 'boolean', value : true, description : 'enable Dell-specific support')
option('plugin_dummy', type : 'boolean', value : false, description : 'enable the dummy device')
option('plugin_emmc', type : 'boolean', value : true, description : 'enable eMMC support')
option('plugin_fastboot', type : 'boolean', value : true, description : 'enable Fastboot support')
option('plugin_logitech_bulkcontroller', type : 'boolean', value : true, description : 'enable Logitech bulk controller support')
option('plugin_parade_lspcon', type : 'boolean', value : true, description : 'enable Parade LSPCON support')
option('plugin_realtek_mst', type : 'boolean', value : true, description : 'enable Realtek MST hub support')
option('plugin_synaptics_mst', type: 'boolean', value: true, description : 'enable Synaptics MST hub support')
option('plugin_synaptics_rmi', type: 'boolean', value: true, description : 'enable Synaptics RMI support')
option('plugin_tpm', type : 'boolean', value : true, description : 'enable TPM support')
option('plugin_thunderbolt', type : 'boolean', value : true, description : 'enable Thunderbolt support')
option('plugin_redfish', type : 'boolean', value : true, description : 'enable Redfish support')
option('plugin_uefi_capsule', type : 'boolean', value : true, description : 'enable UEFI capsule support')
option('plugin_uefi_capsule_splash', type : 'boolean', value : true, description : 'enable UEFI capsule splash support')
option('plugin_uefi_pk', type : 'boolean', value : true, description : 'enable UEFI PK support')
option('plugin_nvme', type : 'boolean', value : true, description : 'enable NVMe support')
option('plugin_modem_manager', type : 'boolean', value : false, description : 'enable ModemManager support')
option('plugin_msr', type : 'boolean', value : true, description : 'enable MSR support')
option('plugin_flashrom', type : 'boolean', value : false, description : 'enable libflashrom support')
option('plugin_platform_integrity', type : 'boolean', value : false, description : 'enable platform integrity support')
option('plugin_intel_spi', type : 'boolean', value : false, description : 'enable Intel SPI support')
option('qubes', type : 'boolean', value : false, description : 'build packages for Qubes OS')
option('supported_build', type : 'boolean', value : false, description: 'distribution package with upstream support')
option('systemd', type : 'boolean', value : true, description : 'enable systemd support')
option('systemd_root_prefix', type: 'string', value: '', description: 'Directory to base systemd’s installation directories on')
option('elogind', type : 'boolean', value : false, description : 'enable elogind support')
option('tests', type : 'boolean', value : true, description : 'enable tests')
option('soup_session_compat', type : 'boolean', value : true, description : 'enable SoupSession runtime compatibility support')
option('curl', type : 'boolean', value : true, description : 'enable libcurl support')
option('udevdir', type: 'string', value: '', description: 'Directory for udev rules')
option('efi_os_dir', type: 'string', description : 'the hardcoded name of OS directory in ESP, e.g. fedora')
option('efi_binary', type: 'boolean', value : true, description : 'generate uefi binary if missing')
